
#pragma once

class ClientCore;

/*
   NatNetClient is a simple client class for talking to a NatNet Server

*/
class DLLCLASS NatNetClient
{
public:

	NatNetClient();
	~NatNetClient();

	int Initialize(char* szMyNicCardAddress, char* szHostNicCardAddress);
	int Exit();
	int SetDataHandlerFunc(void (*MyFunction)(sFrameOfMocapData *FrameOfData));
	int SetErrorMsgHandlerFunc(void (*MyFunction)(int iLogLevel, char *szTraceMessage));
	int GetHostInfo(HostInfo *pHostInfo);
	sMocapModels* GetBodyDefs();
	int Request(char* szCommand, void** Response, int *pnBytes);
	int SetVerbosityLevel(int iLevel);
	sFrameOfMocapData* GetCurrentFrame();

private:

	ClientCore* m_pClientCore;
};
