
#pragma once

class ServerCore;

/*
   NatNetServer is a simple server for streaming Mocap data.
*/
class DLLCLASS NatNetServer
{
public:

	NatNetServer();
	~NatNetServer();

	int Initialize(char* szIPAddress);
	int BuildPacket_FrameOfMocapData(sFrameOfMocapData* pData, sPacket* pPacket);
	int BuildPacket_MocapModelDefintions(sMocapModels* pModels, sPacket* pPacket);
	int SendPacket(sPacket* pPacket);
	int SetRequestHandlerFunc(int (*MyFunction)(sPacket *pPacketIn, sPacket *pPacketOut));

private:

	ServerCore* m_pServerCore;
};
